Subject: bug#74980: Home container do not instantiate ~/.guix-profile

From: Gabriel Wicki <[email-masked]>
Date: Thu, 19 Dec 2024 22:12:44 +0100

Hi there!

Invoking a home container does not create ~/.guix-profile (which in my case
is symlinked to ~/.guix-home/profile).  This leads to a problem when
testing my Emacs configuration, since I there add
~/.guix-profile/share/emacs/site-lisp to its load path.

I guess referring to ~/.guix-profile seems the smart choice, since it
could also work on home environments where I added the necessary
packages "manually" to my user's profile, so I consider only having
~/.guix-home to be somewhat off.

Any ideas on this?  Is this intended behaviour?  Is my configuration off?